org.eclipse.microprofile.reactive.messaging.tck.signatures.subscribers

## Class SubscriberBean

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.signatures.subscribers.SubscriberBean

    @ApplicationScoped
    public class SubscriberBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`SubscriberBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CompletionStage<Void>` `consumeMessageAndReturnCompletionStageOfVoid(Message<String> message)`
`void` `consumePayload(String payload)`
`CompletionStage<Void>` `consumePayloadAndReturnCompletionStageOfVoid(String payload)`
`org.reactivestreams.Publisher<Message<String>>` `sourceForCsVoidMessage()`
`org.reactivestreams.Publisher<Message<String>>` `sourceForCsVoidPayload()`
`org.reactivestreams.Publisher<Message<String>>` `sourceForSubscribePayload()`
`org.reactivestreams.Publisher<Message<String>>` `sourceForSubscriberBuilderMessage()`
`org.reactivestreams.Publisher<Message<String>>` `sourceForSubscriberBuilderPayload()`
`org.reactivestreams.Publisher<Message<String>>` `sourceForSubscriberMessage()`
`org.reactivestreams.Publisher<Message<String>>` `sourceForVoidPayload()`
`org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<Message<String>,Void>` `subscriberBuilderOfMessages()`
`org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<String,Void>` `subscriberBuilderOfPayloads()`
`org.reactivestreams.Subscriber<Message<String>>` `subscriberOfMessages()`
`org.reactivestreams.Subscriber<String>` `subscriberOfPayloads()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubscriberBean

    public SubscriberBean()

### Method Detail

#### sourceForSubscriberMessage

    public org.reactivestreams.Publisher<Message<String>> sourceForSubscriberMessage()

#### subscriberOfMessages

    public org.reactivestreams.Subscriber<Message<String>> subscriberOfMessages()

#### sourceForSubscriberBuilderMessage

    public org.reactivestreams.Publisher<Message<String>> sourceForSubscriberBuilderMessage()

#### subscriberBuilderOfMessages

    public org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<Message<String>,Void> subscriberBuilderOfMessages()

#### sourceForSubscribePayload

    public org.reactivestreams.Publisher<Message<String>> sourceForSubscribePayload()

#### subscriberOfPayloads

    public org.reactivestreams.Subscriber<String> subscriberOfPayloads()

#### sourceForSubscriberBuilderPayload

    public org.reactivestreams.Publisher<Message<String>> sourceForSubscriberBuilderPayload()

#### subscriberBuilderOfPayloads

    public org.eclipse.microprofile.reactive.streams.operators.SubscriberBuilder<String,Void> subscriberBuilderOfPayloads()

#### sourceForVoidPayload

    public org.reactivestreams.Publisher<Message<String>> sourceForVoidPayload()

#### consumePayload

    public void consumePayload(String payload)

#### sourceForCsVoidMessage

    public org.reactivestreams.Publisher<Message<String>> sourceForCsVoidMessage()

#### consumeMessageAndReturnCompletionStageOfVoid

    public CompletionStage<Void> consumeMessageAndReturnCompletionStageOfVoid(Message<String> message)

#### sourceForCsVoidPayload

    public org.reactivestreams.Publisher<Message<String>> sourceForCsVoidPayload()

#### consumePayloadAndReturnCompletionStageOfVoid

    public CompletionStage<Void> consumePayloadAndReturnCompletionStageOfVoid(String payload)